TestEvent (Grails 2.4.4)
Date: 2014-10-28

Package: grails.test.runtime

## [Groovy] Class TestEvent

- grails.test.runtime.TestEvent

- Event value object for the TestRuntime/TestPlugin system

  Authors:
    Lari Hotari
  Since:
    2.4.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Map<java.lang.String, java.lang.Object>` | `arguments` named arguments for the event
    `boolean` | `delivered` this flag is set after the event has been delivered
    `boolean` | `immediateDelivery` this flag can be set in event publishing to deliver and process the event immediately the default behaviour is to defer event handling to the next round of the event handling
    `java.lang.String` | `name` event's name
    `TestEvent` | `parentEvent` this contains the event that created this event .
    `boolean` | `reverseOrderDelivery` this flag reverses the normal order of event deliver to event handlers (listener) for example this is used for "after" and "afterClass" event to reverse the order of handling compared to "before" and "beforeClass" events
    `TestRuntime` | `runtime` reference to TestRuntime instance
    `boolean` | `stopDelivery` this flag can be set in event handling to prevent delivery to other event handlers that follow the current handler

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `T` | `getArgument(java.lang.String name, java.lang.Class<T> requiredType)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.Map<java.lang.String, java.lang.Object> arguments

      named arguments for the event

    - #### boolean delivered

      this flag is set after the event has been delivered

    - #### boolean immediateDelivery

      this flag can be set in event publishing to deliver and process the event immediately the default behaviour is to defer event handling to the next round of the event handling

    - #### java.lang.String name

      event's name

    - #### TestEvent parentEvent

      this contains the event that created this event . This is null for the first event.

    - #### boolean reverseOrderDelivery

      this flag reverses the normal order of event deliver to event handlers (listener) for example this is used for "after" and "afterClass" event to reverse the order of handling compared to "before" and "beforeClass" events

    - #### TestRuntime runtime

      reference to TestRuntime instance

    - #### boolean stopDelivery

      this flag can be set in event handling to prevent delivery to other event handlers that follow the current handler

  - ### Method Detail

    - #### T getArgument(java.lang.String name, java.lang.Class<T> requiredType)